{% extends "base.html" %}

{% block content %}
    <div class="row">
        <div class="col-6">
            <p class="h4 mb-4">{{ title }}</p>
            <hr>

            {% if not current_user.is_authenticated %}
                <a class="navbar-brand mr-1" href="{{ url_for("url.login") }}">
                    <button class="btn btn-primary btn-block">
                        <i class="fas fa-fw fa-sign-in-alt"></i>
                        Please login first!
                    </button>
                </a>
            {% endif %}

            <!-- Current User: Username -->
            {% if current_user.is_authenticated %}
                <table class="table">
                    <thead class="thead-dark">

                    <tr>
                        <th>Logged in User</th>
                        <td>{{ current_user.username }}</td>
                    </tr>
                    <tr>
                        <th>Admin Guide</th>
                        <td>
                            <form action="{{ url_for("url.download_guide", filename="admin_guide.pdf") }}"
                                  method="post">
                                <input class="btn btn-info" type="submit" value="Download">
                            </form>
                        </td>
                    </tr>
                    <tr>
                        <th>User Guide</th>
                        <td>
                            <form action="{{ url_for("url.download_guide", filename="user_guide.pdf") }}" method="post">
                                <input class="btn btn-info" type="submit" value="Download">
                            </form>
                        </td>
                    </tr>
                    </thead>
                </table>
                {% if password_bool %}
                    <a href="{{ url_for("url.changepw") }}">
                        <button class="btn btn-danger">Please change admin password!</button>
                    </a>
                {% endif %}

                <hr>
                <p class="h6 mb-6">VPN-Box Configuration</p>
                <p>To set a static ip of the VPN-Box use the follwing link: </p>
                <a class="navbar-brand mr-1" href="{{ url_for("url.setup_static_ip") }}">
                    <button class="btn btn-primary btn-block">
                        <i class="fas fa-fw fa-network-wired"></i>
                        Setup Static IP
                    </button>
                </a>
                <p>Please proceed with one of the following links to either setup a Site-To-Site VPN or
                    Remote-Access
                    VPN</p>
                <a class="navbar-brand mr-1" href="{{ url_for("url.setup_s2s") }}">
                    <button class="btn btn-primary btn-block">
                        <i class="fas fa-fw fa-building"></i>
                        Setup Site-To-Site VPN
                    </button>
                </a>
                <a class="navbar-brand mr-1" href="{{ url_for("url.setup_ra") }}">
                    <button class="btn btn-primary btn-block">
                        <i class="fas fa-fw fa-server"></i>
                        Setup Server for Remote Acesss
                    </button>
                </a>
                </div>
                </div>
            {% endif %}

{% endblock %}